# Interface methods for submodule: BinaryNotImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import InPlaceImageFilterProxy as _InPlaceImageFilterProxy


# Interface methods for class: BinaryNotImageFilter
class BinaryNotImageFilterProxy(_InPlaceImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetFunctor(self):
		""""""
		...

	def SetFunctor(self, functor) -> None:
		""""""
		...

	def SetForegroundValue(self, _arg: int) -> None:
		""""""
		...

	def GetForegroundValue(self) -> int:
		""""""
		...

	def SetBackgroundValue(self, _arg: int) -> None:
		""""""
		...

	def GetBackgroundValue(self) -> int:
		""""""
		...

